from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XFastAttributeList(XInterface, Protocol):
    def hasAttribute(self, Token: int) -> bool: ...
    def getOptionalValueToken(self, Token: int, Default: int) -> int: ...
    def getOptionalValue(self, Token: int) -> str: ...
    def getUnknownAttributes(self) -> list[Attribute]: ...
    def getFastAttributes(self) -> list[FastAttribute]: ...
